zenilib: Zeni::Widget_Render_Function Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
Zeni::Widget_Render_Function Class Referenceabstract

`#include <Widget.h>`

Inherited by Zeni::Widget_Renderer_Check_Box, Zeni::Widget_Renderer_Color, Zeni::Widget_Renderer_Pair< T1, T2 >, Zeni::Widget_Renderer_Slider, Zeni::Widget_Renderer_Text, and Zeni::Widget_Renderer_Texture.

## Public Member Functions

virtual | ~Widget_Render_Function ()
virtual Widget_Render_Function * | get_duplicate () const =0
virtual void | render_to (const Widget &widget)=0

## Detailed Description

Definition at line 299 of file Widget.h.

## Constructor & Destructor Documentation

virtual Zeni::Widget_Render_Function::~Widget_Render_Function | ( |  | ) |

inlinevirtual

Definition at line 301 of file Widget.h.

## Member Function Documentation

virtual Widget_Render_Function* Zeni::Widget_Render_Function::get_duplicate | ( |  | ) | const

pure virtual

Implemented in Zeni::Widget_Renderer_Slider, Zeni::Widget_Renderer_Check_Box, Zeni::Widget_Renderer_Tricolor, Zeni::Widget_Renderer_Texture, Zeni::Widget_Renderer_Color, Zeni::Widget_Renderer_Text, and Zeni::Widget_Renderer_Pair< T1, T2 >.

Referenced by Zeni::Text_Box::fax_BG_Renderer(), Zeni::Widget::fax_Renderer(), Zeni::Selector::fax_Slider_BG_Renderer(), Zeni::Selector::fax_Slider_Renderer(), and Zeni::Selector::fax_Text_Button_Renderer().

virtual void Zeni::Widget_Render_Function::render_to | ( | const Widget & | widget | ) |

pure virtual

Implemented in Zeni::Widget_Renderer_Slider, Zeni::Widget_Renderer_Check_Box, Zeni::Widget_Renderer_Tricolor, Zeni::Widget_Renderer_Texture, Zeni::Widget_Renderer_Color, Zeni::Widget_Renderer_Text, and Zeni::Widget_Renderer_Pair< T1, T2 >.

Referenced by Zeni::Widget::render_impl(), and Zeni::Text_Box::render_impl().

The documentation for this class was generated from the following file:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.h